# $Revision: 1.28.4.2 $, $Date: 2007/03/01 22:24:06 $
#
# Conditional build:
%bcond_without	alsa	# without ALSA support
%bcond_without	jack	# without JACK support
#
Summary:	ReZound - graphical audio file editor
Summary(pl):	ReZound - graficzny edytor plikw dwikowych
Name:		rezound
Version:	0.12.3
Release:	0.beta.1
License:	GPL
Group:		X11/Applications/Sound
Source0:	http://dl.sourceforge.net/rezound/%{name}-%{version}beta.tar.gz
# Source0-md5:	df109c9d9ad6d27214a7417df583115d
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-opt.patch
Patch1:		%{name}-flac.patch
Patch2:		%{name}-nosource.patch
URL:		http://rezound.sourceforge.net/
%{?with_alsa:BuildRequires:	alsa-lib-devel >= 1.0.0}
BuildRequires:	audiofile-devel >= 1:0.2.3
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison >= 1.875-3
BuildRequires:	fftw-devel >= 2.1.5-4
# libFLAC,libFLAC++
BuildRequires:	flac-devel >= 1.1.3
BuildRequires:	flex
BuildRequires:	fox-devel >= 1.2
%{?with_jack:BuildRequires:	jack-audio-connection-kit-devel}
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	libvorbis-devel
BuildRequires:	pkgconfig >= 1:0.9.0
BuildRequires:	soundtouch-devel >= 1.3.0
Requires:	fox >= 1.2
Requires:	lame
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# not used, but must be here because of GL-enabled fox
%define 	_noautoreqdep	libGL.so.1 libGLU.so.1

%description
ReZound aims to be a stable, open source, and graphical audio file
editor primarily for but not limited to the Linux operating system.

%description -l pl
ReZound ma sta si stabilnym, otwartym, graficznym edytorem plikw
dwikowych gwnie, cho nie tylko, dla systemu Linux.

%prep
%setup -q -n %{name}-%{version}beta
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__libtoolize}
%{__aclocal} -I config/m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	OPTFLAGS="%{rpmcflags}" \
	--%{?with_alsa:en}%{!?with_alsa:dis}able-alsa \
	--%{?with_jack:en}%{!?with_jack:dis}able-jack \
	--disable-portaudio

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README docs/{AUTHORS,Features.txt,FrontendFoxFeatures.txt,NEWS,TODO*}
%attr(755,root,root) %{_bindir}/*
%{_datadir}/rezound
%{_desktopdir}/%{name}.desktop
%{_pixmapsdir}/%{name}.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: rezound.spec,v $
Revision 1.28.4.2  2007/03/01 22:24:06  hawk
- fixed md5

Revision 1.28.4.1  2007/03/01 22:19:53  hawk
- merged updated to 0.12.3beta from HEAD

Revision 1.28  2006/12/31 11:54:09  qboosh
- added gcc4 patch to fix build with gcc 4.1
- added flac patch to update to flac 1.1.3 API
- added nosource patch to stop accessing source tree
- BR: fftw-devel with fixed linking
- release .2

Revision 1.27  2005/10/18 22:15:36  qboosh
- updated to 0.12.2, added fox patch (to build with fox 1.6.0)

Revision 1.26  2005/05/03 11:38:01  qboosh
- updated to 0.12.0beta (ready for fox 1.4 and 1.5)
- disable portaudio (unexpected, fails with portaudio 19 snap)

Revision 1.25  2005/03/14 14:06:13  havner
- rel up for new flac

Revision 1.24  2004/10/27 23:05:48  qboosh
- updated to 0.11.1beta

Revision 1.23  2004/09/21 08:56:06  ankry
- rel. .2

Revision 1.22  2004/07/23 18:55:31  qboosh
- updated to 0.10.0beta, removed obsolete flex,fox,gcc patches

Revision 1.21  2004/06/20 12:08:32  qboosh
- updated fox patch for fox 1.2.x, added gcc patch for gcc 3.3.4; release .4

Revision 1.20  2004/03/18 18:14:39  grzegol
- added epoch to audiofile requires

Revision 1.19  2004/02/20 00:38:07  qboosh
- updated fox patch for fox 1.1.46

Revision 1.18  2004/01/15 22:42:41  qboosh
- added fox patch to build with fox 1.1.43, release .2

Revision 1.17  2003/11/15 15:53:04  qboosh
- updated to 0.9.0, removed obsolete fox patch

Revision 1.16  2003/11/10 23:04:35  qboosh
- BR: am,lt

Revision 1.15  2003/10/24 07:40:59  qboosh
- patched for fox 1.1.39+; release .3

Revision 1.14  2003/09/02 22:37:41  qboosh
- added jack bcond, release 2 for new fox

Revision 1.13  2003/08/18 08:09:31  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.12  2003/07/17 19:59:34  deejay1
- corrected Source0-md5

Revision 1.11  2003/07/17 18:46:29  qboosh
- up to 0.8.3beta

Revision 1.10  2003/07/14 11:57:50  qboosh
- typo

Revision 1.9  2003/07/14 11:53:27  freetz
- updated to 0.8.2beta
- cpath_h patch already in sources
- added icon (.desktop modified too)
- jack builds by default (runtime detection - when not detected falls back
  to OSS)
- noautoreqdep libFOX-1.1.so.* (solves problem by fox upgrade)

Revision 1.8  2003/07/04 22:45:40  qboosh
- patched for new flex, added find_lang

Revision 1.7  2003/06/27 21:04:22  freetz
- updated to 0.8.1beta
- added .desktop file
- added cpath.h patch (fixes path to config files)
- added JACK bcond
- added missing requires
- updated opt patch

Revision 1.6  2003/05/28 13:01:39  malekith
- massive attack: source-md5

Revision 1.5  2003/05/25 06:26:19  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2003/05/10 11:17:19  qboosh
- updated to 0.7.0
- removed obsolete bison patch, updated fox-update patch

Revision 1.3  2003/05/07 20:39:59  qboosh
- added fox-update patch to allow build with fox 1.1.x devel snaps
- added opt patch
- release 0.beta.2

Revision 1.2  2003/04/08 14:07:28  qboosh
- use http for sources from sourceforge

Revision 1.1  2003/01/28 22:01:09  qboosh
- new; requires patched bison, but still needs patch with other bison workaround
